GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Functions
gridfire::diagnostics Namespace Reference

## Functions
void | report_limiting_species (const DynamicEngine &engine, const std::vector< double > &Y_full, const std::vector< double > &E_full, const std::vector< double > &dydt_full, double relTol, double absTol, size_t top_n=10)
void | inspect_species_balance (const DynamicEngine &engine, const std::string &species_name, const fourdst::composition::Composition &comp, double T9, double rho)
void | inspect_jacobian_stiffness (const DynamicEngine &engine, const fourdst::composition::Composition &comp, double T9, double rho)

## Function Documentation

## ◆ inspect_jacobian_stiffness()

void gridfire::diagnostics::inspect_jacobian_stiffness | ( | const DynamicEngine & | engine,
|  | const fourdst::composition::Composition & | comp,
|  | double | T9,
|  | double | rho )

## ◆ inspect_species_balance()

void gridfire::diagnostics::inspect_species_balance | ( | const DynamicEngine & | engine,
|  | const std::string & | species_name,
|  | const fourdst::composition::Composition & | comp,
|  | double | T9,
|  | double | rho )

## ◆ report_limiting_species()

void gridfire::diagnostics::report_limiting_species | ( | const DynamicEngine & | engine,
|  | const std::vector< double > & | Y_full,
|  | const std::vector< double > & | E_full,
|  | const std::vector< double > & | dydt_full,
|  | double | relTol,
|  | double | absTol,
|  | size_t | top_n = 10 )